module Badgify
  class Category < ApiOperation

    def self.list(params = {})
      api.get(resource_url, params)
    end

    def self.retrieve(id, params = {})
      api.get(resource_url(id.to_s), params)
    end

    private

      def self.resource_url(url = "")
        Badgify.api_url("/categories/") + url
      end
  end
end
